Story # 41152 (New): As a content editor, I want to use a page tree which fits into the overall UI

Status: Closed Priority: Could have
Updated: 2014-10-04 Due date:
Subject: Keyboard Navigation for the pagetree
Description

In my opinion it would be nice to navigate the pagetree with the Cursors.

up -> up on the same level, or going up a level
down -> like up
left -> go to parent node and collapse
right -> go down to the next parent node and expand

with https://review.typo3.org/#/c/14876/
and https://review.typo3.org/#/c/14680/

'esc' and 'enter' work already for editing a pagetitle

History
#1 - 2012-10-12 12:07 - Markus Goldbeck
- Target version set to Sprint February 2013
- Parent task set to #41152

#2 - 2013-01-29 17:27 - Patrick Broens

Keep WAI-ARIA (Accessibility) in mind. There are only a few best practices for the page tree. Don't confuse this with the WAI-ARIA tree widget.

    -  Up: Select the previous visible tree item.
    -  Down: Select next visible tree item.
    -  Left: Collapse the currently selected parent node if it is expanded. Move to the previous parent node (if possible) when the current parent node is
collapsed.
    -  Right: Expand the currently selected parent node and move to the first child list item.
    -  Enter: Select the current node (Go to URL)
    -  Space: Select the current node (Go to URL)
    -  Home: Select the root parent node of the tree.
    -  End: Select the last visible node of the tree.
    -  Tab: Navigate away from tree. Important! (Normally when using tab it will focus on the next anchor in the following node)
    -  (asterisk on the numpad): Expand all group nodes.

Double-clicking on a parent node will toggle its expanded or collapsed state.

An example can be found on 
http://stackoverflow.com/questions/12279113/recommended-wai-aria-implementation-for-navigation-bar-menu#answer-12279190

#3 - 2014-10-04 17:33 - Sebastian Helzle
- Status changed from New to Closed

2015-08-03 1/2

https://review.typo3.org/#/c/14876/
https://review.typo3.org/#/c/14680/
http://stackoverflow.com/questions/12279113/recommended-wai-aria-implementation-for-navigation-bar-menu#answer-12279190


- % Done changed from 0 to 100

This was done in 1.0.

If you still think this is an issue please open a ticket on jira.typo3.org
